// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_ANIMATIONS_H
#define MIMIMI_ANIMATIONS_H

struct mimimi_image;
struct mimimi_pose;
struct mimimi_model;

struct mimimi_movement
{
	int pose_count;
	struct mimimi_pose *poses;
};

struct mimimi_animation
{
	int image_count;
	struct mimimi_image *images;
};

void mimimi_movement(struct mimimi_animation *animation, struct mimimi_model *model, struct mimimi_movement *movement);

#endif
