// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_APPEARANCES_H
#define MIMIMI_APPEARANCES_H

struct mimimi_model;
struct mimimi_allocator;

struct mimimi_animation;

struct mimimi_animation_set
{
	int standing_animation_count;
	struct mimimi_animation *standing;
	struct mimimi_animation *knocked;
	struct mimimi_animation *falling;
};

struct mimimi_appearance
{
	struct mimimi_animation_set left, right;
};

void mimimi_appearance(struct mimimi_appearance *appearance, struct mimimi_model *model);

#endif
