// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_POSES_H
#define MIMIMI_POSES_H

struct mimimi_pose_layer
{
	int slant;
	int y_angle;
	int z_angle;
};

struct mimimi_pose
{
	struct mimimi_pose_layer torso;
	struct mimimi_pose_layer head;
	struct mimimi_pose_layer left_arm;
	struct mimimi_pose_layer right_arm;
	struct mimimi_pose_layer left_leg;
	struct mimimi_pose_layer right_leg;
	int x;
	int y;
};

void mimimi_pose(struct mimimi_image *image, struct mimimi_model *model, struct mimimi_pose *pose);

#endif
